File Manager
filemanager
Server file browsing, reading, writing, moving, extracting, and downloading.
List directory
PUT
Authenticated
Lists files and directories at a path.
Request URL
https://api.creeper.host/filemanager/listdirectoryHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"path": "/unturned/ut-instances/ut-5902260d6b88e/BattlEye"
}
Response 200
{
"status": "success",
"tree": [
{
"file": true,
"name": "BEClient.so",
"path": "/unturned/ut-instances/ut-5902260d6b88e/BattlEye",
"mime": "application/octet-stream"
}
],
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Read file
PUT
Authenticated
Reads a file and returns its contents.
Request URL
https://api.creeper.host/filemanager/readfileHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"filename": "/unturned/ut-instances/ut-5902260d6b88e/BattlEye/EULA.txt"
}
Response 200
{
"status": "success",
"bytesRead": 2758,
"data": "File contents",
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Write file
PUT
Authenticated
Writes full contents to a file.
Request URL
https://api.creeper.host/filemanager/writefileHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"filename": "/unturned/ut-instances/ut-5902260d6b88e/BattlEye/EULA.txt",
"contents": "New file contents"
}
Response 200
{
"status": "success",
"bytesWritten": 17,
"file": "/home/minecraft/unturned/ut-instances/ut-5902260d6b88e/BattlEye/EULA.txt",
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Delete file
PUT
Authenticated
Marks a file or directory for deletion.
Request URL
https://api.creeper.host/filemanager/destroyHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"path": "/unturned/ut-instances/ut-5902260d6b88e/BattlEye/EULA.txt"
}
Response 200
{
"status": "success",
"message": "File or Directory has been marked for deletion",
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Rename or move file
PUT
Authenticated
Renames or moves a file.
Request URL
https://api.creeper.host/filemanager/renamefileHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"filename": "/unturned/ut-instances/ut-5902260d6b88e/BattlEye/EULA.txt",
"newname": "/unturned/ut-instances/ut-5902260d6b88e/BattlEye/EULA2.txt"
}
Response 200
{
"status": "success",
"output": "",
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Extract zip file
PUT
Authenticated
Extracts a zip archive on the server.
Request URL
https://api.creeper.host/filemanager/unzipfileHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"path": "/unturned/ut-instances/ut-5902260d6b88e/",
"filename": "my.zip"
}
Response 200
{
"status": "success",
"flatten": false,
"time": null,
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Extract gz file
PUT
Authenticated
Extracts a gzip or tarball archive on the server.
Request URL
https://api.creeper.host/filemanager/untarballfileHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"path": "/unturned/ut-instances/ut-5902260d6b88e/",
"filename": "my.gz"
}
Response 200
{
"status": "success",
"time": null,
"endPoint": "aries-production-59c48bc84-hpqw4"
}
Download file
PUT
Authenticated
Streams a file download.
Request URL
https://api.creeper.host/filemanager/proxyfileHeaders
Content-Type: application/json
key: {api-key}
secret: {api-secret}Request body
{
"filename": "/unturned/ut-instances/ut-5902260d6b88e/myfile.zip"
}
Response 200
Binary file stream